/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_362615506")

  // add field
  collection.fields.addAt(1, new Field({
    "cascadeDelete": false,
    "collectionId": "pbc_4163081445",
    "hidden": false,
    "id": "relation2034467270",
    "maxSelect": 1,
    "minSelect": 0,
    "name": "review",
    "presentable": false,
    "required": false,
    "system": false,
    "type": "relation"
  }))

  // add field
  collection.fields.addAt(2, new Field({
    "cascadeDelete": false,
    "collectionId": "_pb_users_auth_",
    "hidden": false,
    "id": "relation2375276105",
    "maxSelect": 1,
    "minSelect": 0,
    "name": "user",
    "presentable": false,
    "required": false,
    "system": false,
    "type": "relation"
  }))

  // add field
  collection.fields.addAt(3, new Field({
    "hidden": false,
    "id": "select1002219032",
    "maxSelect": 1,
    "name": "vote_type",
    "presentable": false,
    "required": false,
    "system": false,
    "type": "select",
    "values": [
      "likes",
      "dislikes"
    ]
  }))

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_362615506")

  // remove field
  collection.fields.removeById("relation2034467270")

  // remove field
  collection.fields.removeById("relation2375276105")

  // remove field
  collection.fields.removeById("select1002219032")

  return app.save(collection)
})
